GTPin: gtpin::IGtGenModel Class Reference

GTPin

- Main Page
- Related Pages
- Modules
- Data Structures

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
gtpin::IGtGenModel Class Reference
GTPin: GEN Architecture

Basic properties of the GEN model. More...

`#include <igt_gen_arch.h>`

## Public Member Functions
virtual GtGenModelId | Id () const =0
| Return identifier of the GEN model represented by this object.
virtual uint32_t | MaxGrfRegs () const =0
| Return maximum number of GRF registers per thread.
virtual uint32_t | MinGrfRegs () const =0
| Return minimum number of GRF registers per thread.
virtual uint32_t | GrfRegSize () const =0
| Return GRF register size, in bytes.
virtual uint32_t | MaxThreadPayloadReg () const =0
| Return maximum GRF register number in the thread payload.
virtual uint32_t | NumFlagRegs () const =0
| Return number of ARF flag registers.
virtual uint32_t | NumAccRegs () const =0
| Return number of ARF accumulator registers.
virtual uint32_t | NumSpRegs () const =0
| Return number of ARF stack pointer registers (could be zero)
virtual bool | HasSwsb () const =0
| Return true, if this GEN model supports software scoreboarding.
virtual uint32_t | NumSbids () const =0
| Return number software scoreboarding IDs.
virtual bool | HasAccWrCtrl () const =0
| Return true, if GEN model's instructions have AccWrCtrl field.
virtual uint32_t | MaxThreads () const =0
| Return maximum number of HW threads.
virtual uint32_t | MaxThreadBuckets () const =0
| Return effective maximum of HW thread buckets (by FFTID hash)
virtual bool | IsAtomic64Supported (GtMemoryAddrModel addrModel) const =0
| Return true if this GEN model supports 64-bit atomic operations in the specified address model.
virtual bool | IsArithmetic64Supported () const =0
| Return true if this GEN model supports 64-bit integer arithmetic operations.
virtual const GtStateRegAccessor & | StateRegAccessor () const =0
| Return Reference to the GtStateRegAccessor instance corresponding to this GEN model.

## Detailed Description

Basic properties of the GEN model.

Availability:
  - Anytime and anywhere

All Data Structures Functions Variables Typedefs Enumerations Enumerator

      Copyright (C) 2013-2025 Intel Corporation

      SPDX-License-Identifier: MIT